package com.patzn.lims.env.mapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.env.entity.LmsEnvMonitor;
import com.patzn.lims.env.vo.LmsEnvMonitorVO;
import org.apache.ibatis.annotations.Param;
import java.util.List;

/**
 * <p>
  * 环境监测管理 Mapper 接口
 * </p>
 *
 * @author patzn
 * @since 2017-11-07
 */
public interface LmsEnvMonitorMapper extends BaseMapper<LmsEnvMonitor> {

    List<LmsEnvMonitorVO> selectPageVO(Page page, @Param("ew") LmsEnvMonitorVO lmsEnvMonitorVO);

    List<LmsEnvMonitorVO> selectPageVO(@Param("ew") LmsEnvMonitorVO lmsEnvMonitorVO);

    LmsEnvMonitorVO selectVOById(@Param("id") Long id);

    List<LmsEnvMonitor> selectNormalByIds(@Param("ids") List<Long> ids);

    List<LmsEnvMonitor> selectMicrobeByIds(@Param("ids") List<Long> ids);
}